Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.set
Interface SetResourcePropertiesComponents

All Known Subinterfaces:
  ResourcePropertyCollection

All Known Implementing Classes:
  SimpleResourcePropertyCollection

public interface SetResourcePropertiesComponents

SetResourcePropertiesComponents breaks apart the WS-RP SetResourceProperties operation into a set of convenience methods. Each of the set operations { Insert, Update, Delete } now has its own method(s), allowing internal callers to perform modifications with much less plumbing code.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `deleteResourceProperty(QName qname)` Removes all properties with the given name.
`void` | `insertResourceProperty(QName qname, java.lang.Object[] values)` Creates new instances of the given property using the given values.
`void` | `updateResourceProperty(QName qname, java.lang.Object[] values)` Replaces all of a property's current values with the given values.

Method Detail

### deleteResourceProperty

    public void deleteResourceProperty(QName qname)
                                throws BaseFault

  Removes all properties with the given name.

  Throws:
    `BaseFault`

### insertResourceProperty

    public void insertResourceProperty(QName qname,
                                       java.lang.Object[] values)
                                throws BaseFault

  Creates new instances of the given property using the given values.

  Throws:
    `BaseFault`

### updateResourceProperty

    public void updateResourceProperty(QName qname,
                                       java.lang.Object[] values)
                                throws BaseFault

  Replaces all of a property's current values with the given values.

  Throws:
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD